#!/bin/bash -x

# TARGET=a6e-gw-container
# CONTAINER_VERSION=x.x.x
# TAR_ARCHIVE=${TARGET}-image.tar
export DL_URL=https://download.atmark-techno.com/armadillo-iot-a6e/image/${TARGET}-latest.swu

set_variables(){
for VAL in "${@}"; do
  [[ -v $VAL ]] || exit
done
}

check_variables(){
	set_variables TARGET TAR_ARCHIVE CONTAINER_VERSION DL_URL
}

create_installdisk(){
	echo "===== mkdir installdisk and copy ====="
	mkdir installdisk
	cat common_head.desc installdisk.desc common.desc | MKSWU_FAIL=1 sh -x ./$GT/mkswu/mkswu.sh -o ${TARGET}-installdisk.swu - || exit
  ./$GT/mkswu/mkswu.sh --show ${TARGET}-installdisk.swu
	cp .${TARGET}-installdisk/${TAR_ARCHIVE}.sig ${TAR_ARCHIVE} ${TARGET}-installdisk.swu installdisk || exit
}

check_variables
create_installdisk
